# Uses of Interface
org.eclipse.emf.compare.match.IComparisonFactory

Packages that use IComparisonFactory
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.impl

## Uses of IComparisonFactory in org.eclipse.emf.compare.match

Classes in org.eclipse.emf.compare.match that implement IComparisonFactory
Modifier and Type
Class
Description
`class`
`DefaultComparisonFactory`
A default implementation of `IComparisonFactory` that creates a new `Comparison` through the `default CompareFactory`.
Constructors in org.eclipse.emf.compare.match with parameters of type IComparisonFactory
Modifier
Constructor
Description
``
`DefaultMatchEngine(IEObjectMatcher matcher, IComparisonFactory comparisonFactory)`
This default engine delegates the pairing of EObjects to an `IEObjectMatcher`.
``
`DefaultMatchEngine(IEObjectMatcher eObjectMatcher, IResourceMatcher resourceMatcher, IComparisonFactory comparisonFactory)`
This default engine delegates the pairing of EObjects to an `IEObjectMatcher`.

## Uses of IComparisonFactory in org.eclipse.emf.compare.match.impl

Constructors in org.eclipse.emf.compare.match.impl with parameters of type IComparisonFactory
Modifier
Constructor
Description
``
`MatchEngineFactoryImpl(IEObjectMatcher matcher, IComparisonFactory comparisonFactory)`
Deprecated.
Using this will ignore any weight provider or equality helper extension provided through extension points.